<?php

				for($i=0;$i<=$_REQUEST['nItems'];$i++)
				{
					if($_REQUEST['DatPsiPrueba'.$i]!="")
					{
						if(comprobarFecha($_REQUEST['DatPsiDia'.$i],$_REQUEST['DatPsiMes'.$i],$_REQUEST['DatPsiAno'.$i]))
						{
							$fecha=$_REQUEST['DatPsiAno'.$i]."-".traducirFecha($_REQUEST['DatPsiMes'.$i])."-".traducirFecha($_REQUEST['DatPsiDia'.$i]);
						}
						if($i<$_REQUEST['DatPsiIds'])
						{
							mysql_query("UPDATE datospsicopedagogicos SET Fecha='".$fecha."',Prueba='".$_REQUEST['DatPsiPrueba'.$i]."',idAplicacion=".$_REQUEST['DatPsiAplicacion'.$i].",Examinador='".$_REQUEST['DatPsiExaminador'.$i]."',Resultados='".$_REQUEST['DatPsiResul'.$i]."' WHERE id=".$_REQUEST['DatPsiId'.$i],$conexion);
							for($j=1;$j<6;$j++)
							{
								if($_REQUEST['DatPsiResul'.$i.'Documento'.$j]!="" && $_REQUEST['DatPsiResul'.$i.'Documento'.$j]!=$_REQUEST['DatPsiResul'.$i.'DocumentoAntiguo'.$j])
								{
									if($_REQUEST['DatPsiResul'.$i.'DocumentoAntiguo'.$j]!="")
										unlink($_REQUEST['DatPsiResul'.$i.'DocumentoAntiguo'.$j]);
										
									$extension=$_REQUEST['DatPsiResul'.$i.'DocumentoExt'.$j];
									rename("documentos/datospsicopedagogicos/".$_REQUEST['DatPsiResul'.$i.'Documento'.$j],"documentos/datospsicopedagogicos/DatPsiResul".$_REQUEST['DatPsiId'.$i]."_".$j.$extension);
									mysql_query("UPDATE datospsicopedagogicos SET ResultadosDoc".$j."='DatPsiResul".$_REQUEST['DatPsiId'.$i]."_".$j.$extension."' WHERE id=".$_REQUEST['DatPsiId'.$i],$conexion);
								}
							}
						} else
						{
							mysql_query("INSERT into datospsicopedagogicos(idAlumno,Fecha,Prueba,idAplicacion,Examinador,Resultados) VALUES(".$_REQUEST['id'].",'".$fecha."','".$_REQUEST['DatPsiPrueba'.$i]."',".$_REQUEST['DatPsiAplicacion'.$i].",'".$_REQUEST['DatPsiExaminador'.$i]."','".$_REQUEST['DatPsiResul'.$i]."')",$conexion);

							for($j=1;$j<6;$j++)
							{
								if($_REQUEST['DatPsiResul'.$i.'Documento'.$j]!="")
								{
									$consultaDocDatPsi=mysql_query("SELECT * FROM datospsicopedagogicos ORDER BY id DESC", $conexion);
									$filaDocDatPsi=mysql_fetch_array($consultaDocDatPsi);
									
									$extension=$_REQUEST['DatPsiResul'.$i.'DocumentoExt'.$j];
									rename("documentos/datospsicopedagogicos/".$_REQUEST['DatPsiResul'.$i.'Documento'.$j],"documentos/datospsicopedagogicos/DatPsiResul".$filaDocDatPsi['id']."_".$j.$extension);
									mysql_query("UPDATE datospsicopedagogicos SET ResultadosDoc".$j."='DatPsiResul".$filaDocDatPsi['id']."_".$j.$extension."' WHERE id=".$filaDocDatPsi['id'],$conexion);
								}
							}
						}
					}
				}
?>
